Get Partner Profile

get/api/partner-profiles/{accountId}

Retrieve the partner profile information for a specific account.

Request

Path Parameters

  • accountIdstringrequired

    Account id for the partner profile

Response

Successful operation.

Body application/json

  • accountIdstringrequired

    The unique identifier of the partner account

  • createdAtstring<date-time>required

    ISO 8601 timestamp when the partner profile was created

  • modifiedAtstring<date-time>required

    ISO 8601 timestamp when the partner profile was last modified

  • isKycStatementsSubmissionAllowedbooleanrequired

    Whether KYC statements submission is allowed for this partner

  • logoUrlstring | null

    URL to the partner's logo image

  • supportEmailstring | null

    Support email address for the partner

  • email.kyc.enabledboolean | null

    Whether KYC email notifications are enabled for this partner

  • email.kycConfirmation.cardActivation.urlstring | null

    URL for the card activation banner in KYC confirmation emails

  • email.kycConfirmation.successBanner.urlstring | null

    URL for the success banner in KYC confirmation emails

  • email.xpayConfirmation.applePayBanner.urlstring | null

    URL for the Apple Pay banner in xPay confirmation emails

  • email.xpayConfirmation.googlePayBanner.urlstring | null

    URL for the Google Pay banner in xPay confirmation emails

  • supportUrlstring | null

    URL to the partner's support page